# LockStxOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

Lock stx options

param

  private key to sign transaction

param

  the reward Bitcoin address

param

  number of cycles to lock

param

  number of microstacks to lock

param

  the burnchain block height to begin lock

### Hierarchy

- LockStxOptions

## Index

### Properties

- amountMicroStx
- burnBlockHeight
- cycles
- poxAddress
- privateKey

## Properties

### amountMicroStx

amountMicroStx: BN

- Defined in packages/stacking/src/index.ts:104

### burnBlockHeight

burnBlockHeight: number

- Defined in packages/stacking/src/index.ts:105

### cycles

cycles: number

- Defined in packages/stacking/src/index.ts:102

### poxAddress

poxAddress: string

- Defined in packages/stacking/src/index.ts:103

### privateKey

privateKey: string

- Defined in packages/stacking/src/index.ts:101

Generated using TypeDoc